2

This question already has an answer here:

I have installed installed QGIS 2.10 from source on CentOS 6.6 however the issue I'm facing is that I am missing the GRASS plugin form the GUI.

I have checked the plugin manager, its not listed there. It does seem like it installed grass related objects /mnt/opt/Centos6.4/qgis-2.10.1/share/qgis/python/plugins

It is also referenced when compiling using cmake so it looks like it compiles the GRASS module but the app can't see it somehow when it starts.

Anyone know where would the GRASS plugin be installed to and if I can just manually copy it in somehow?

I have encountered this before but just used yum instead but now my users want the latest version along with GRASS functionality.

gdal_nograss-1.10.0 
qt-4.8.5 
spatialindex-1.8.0 
spatialite-2.4.0-0.6_qgis 
proj-4.8.0 
geos-3.4.2-gcc-4.4.7 
qwt-6.0.1 
python-2.6.9-gcc447 
grass-6.4.3-gcc447 
cmake-2.8.12.2

marked as duplicate by underdark Aug 25 '15 at 16:02

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

1

There seems to be some trouble with GRASS 6/7 support as a plugin and in processing:

http://lists.osgeo.org/pipermail/qgis-developer/2015-July/038601.html

http://lists.osgeo.org/pipermail/qgis-user/2015-August/033174.html

I guess you have to downgrade and follow the mailing lists for any progress.

  • ok yes that explains it then, Thanks for your help Andre – user27614 Aug 25 '15 at 14:27

Not the answer you're looking for? Browse other questions tagged or ask your own question.